import React from 'react';
import { connect } from 'dva';
import styles from './IndexPage.css';
import EngineInit from 'EngineInit';
import AddModel from 'AddModel';
import SetModelColor from 'SetModelColor';
import SetClickMode from 'SetClickMode';
import { Button, Menu, Icon, Tooltip } from 'antd';
import  '../utils/OnClickPosition';
import AddTagForm from '../components/AddTagsForm';

const filesurl= '../../public/model/house1/house1List.json';

class IndexPage extends React.Component{
  constructor(props) {
    super(props);
    this.state = {
      liVisible: false,
      num: -1,
    };
  }
  SetModelColor = () => {
    SetModelColor('testtag1',0,0,255);
  };
  SetClickMode = (i) => {
    SetClickMode(i);
  };

  componentDidMount() {
    //初始化画布
    EngineInit("webglContainer");
    SetClickMode(0);
    AddModel(filesurl, 'testtag1');
  }
  ModelSettingMenuClick = (liVisible,num) => {
    console.info(liVisible);
    if (liVisible === true) {

      this.setState({ liVisible: false });

    } else {
      this.setState({ liVisible: true });
    }
    this.setState({ num: num });
  };
  // 添加标签 pos 是变迁
  AddPositionFlag = () => {

  };

  render() {
    return (
      <div className={ styles.all }>
        <div className={styles.floatDiv}>
          <div className={styles.toolBar}>
            <ul className={`${styles.menuUl} ${styles.clearfix}`}>
              <li>
              <Tooltip title="模型颜色设置">
                <Button type="primary" onClick={this.SetModelColor}>
                  <Icon type="mail"/>
                </Button>
              </Tooltip>
              </li>
              <li>
                <Tooltip title="模型设置">
                  <Button type="primary" onClick={this.ModelSettingMenuClick.bind(undefined,this.state.liVisible,1)}>
                    <Icon type="mail"/>
                  </Button>
                </Tooltip>
                {
                  this.state.num === 1 && this.state.liVisible && <ul className={styles.clearfix}>
                    <li>
                      <Tooltip title="显示模型">
                        <Button type="primary">
                          <Icon type="mail"/>
                        </Button>
                      </Tooltip>
                    </li>
                    <li>
                      <Tooltip title="隐藏模型">
                        <Button type="primary">
                          <Icon type="mail"/>
                        </Button>
                      </Tooltip>
                    </li>
                    <li>
                      <Tooltip title="模型半透明">
                        <Button type="primary">
                          <Icon type="mail"/>
                        </Button>
                      </Tooltip>
                    </li>
                    <li>
                      <Tooltip title="模型半透明恢复">
                        <Button type="primary">
                          <Icon type="mail"/>
                        </Button>
                      </Tooltip>
                    </li>
                  </ul>
                }
              </li>
              <li>
                <Tooltip title="标签管理">
                  <Button type="primary" onClick={this.ModelSettingMenuClick.bind(undefined,this.state.liVisible,2)}>
                    <Icon type="mail"/>
                  </Button>
                </Tooltip>
                {
                  this.state.num === 2 && this.state.liVisible && <ul className={styles.clearfix}>
                    <li>
                      <Tooltip title="添加标签" placement="right">
                        <Button type="primary" onClick={this.AddPositionFlag}>
                          <Icon type="pushpin"/>
                        </Button>
                      </Tooltip>
                    </li>
                    <li>
                      <Tooltip title="显示所有标签">
                        <Button type="primary"  placement="right">
                          <Icon type="flag"/>
                        </Button>
                      </Tooltip>
                    </li>
                  </ul>
                }
              </li>
            </ul>
          </div>
        </div>
        {
          <div className={styles.tagsForm}>
            <AddTagForm/>
          </div>
        }
        <div id="webglContainer" className={styles.webglContainer1}/>
      </div>
    );
  }
}

IndexPage.propTypes = {
};
export default connect()(IndexPage);
